# xxfi_connect

SYNOPSIS

    #include <libmilter/mfapi.h>
    sfsistat (*xxfi_connect)(
            SMFICTX    *ctx,
            char       *hostname,
            _SOCK_ADDR *hostaddr);

DESCRIPTION

Called When | Once, at the start of each SMTP connection.
Default Behavior | Do nothing; return SMFIS_CONTINUE.

ARGUMENTS

Argument | Description
--- | ---
ctx | the opaque context structure.
hostname | the host name of the message sender, as determined by a reverse lookup on the host address. If the reverse lookup fails or if none of the IP addresses of the resolved host name matches the original IP address, hostname will contain the message sender's IP address enclosed in square brackets (e.g. `[a.b.c.d]'). If the SMTP connection is made via stdin the value is `localhost`.
hostaddr | the host address, as determined by a `getpeername(2)` call on the SMTP socket. NULL if the type is not supported in the current version or if the SMTP connection is made via stdin.

NOTES | If an earlier filter rejects the connection in its xxfi_connect() routine, this filter's xxfi_connect() will not be called.

Copyright (c) 2000-2001, 2003, 2007 Proofpoint, Inc. and its suppliers. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the LICENSE.